# Define the applicationwhich should be protected by SSO
upstream:
  # Reference a service inside your Openshift project
  # The proxy will forward all authenticated requests to http://NAME:PORT/PATH
  service:
    # Service name
    name: example
    # Service port
    port: 8080

# The public entrypoint (Route / Ingress) for your application
route:
  # The hostname under which your application should be accessible (without 'http://')
  hostname: example.web.cern.ch
  # Protect only a certain subpath of your application (e.g. '/admin')
  path: "/"
  # Control Internet Visibility
  public: true
  # Route annotations
  annotations: {}
  # If the Route should be automatically created
  create: true

# Advanced authentication options
# Use these only if you know what you are doing
authOptions:
  # Specifies which Application Role is required to access the application;
  # This is NOT an e-group but the Role Identifier of a Role on the CERN Application Portal
  # (where each application defines it own set of roles);
  # New applications are initialized with a `default-role` containing all CERN + EduGain users;
  # The default-role can be modified to include only members of an e-group.
  # https://paas.docs.cern.ch/4._CERN_Authentication/3-configuring-authorized-users/
  allowedRole: 'default-role'
  # The subpath on which the Oauth proxy is listening;
  # This path MUST NOT be used by the application itself, since requests under this path ARE NOT FORWARDED.
  proxyPrefix: '/oauth2'
  # Use the email address as the username when passing information to the application ('true' or 'false').
  preferEmail: true
  # Additional Arguments for Oauth2 Proxy server.
  # https://oauth2-proxy.github.io/oauth2-proxy/docs/configuration/overview#command-line-options
  extraArgs: []
